Body
Validate OTP
This api is used to validate OTP and do device binding for a device and card combination
Request
Response
API Endpoints
Sandbox Link
POST
https://sandbox.juspay.in/validateOtp
Production Link
POST
https://api.juspay.in/validateOtp
Authorization Header
Basic Auth
*
required
Consists of two parts.
Username: API Key obtained from Juspay dashboard
Password: Empty string
Note
Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
Headers
x-merchantid
*
String
Mandatory
Merchantid of the AI Agent to be passed here
Request Schema: application/json
Request body
tokenReference
*
String
Mandatory
Token reference of the card used in the transaction
otpValue
*
String
Mandatory
The OTP being used to validate the user and device combination
clientReferenceId
*
String
Mandatory
Session id used by VISA to check the status of the flow
networkType
*
ENUM
Mandatory
Example: VISA
vProvisionedTokenId
*
String
Mandatory
Token id of the VISA card being used in the transaction
200 : Success
Response Body
status
String
Example:- SUCCESS
responseCode
responseMessage

